<html>
<head>
<title>Ogre::RTShader::Function Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="namespaceOgre_1_1RTShader.html">RTShader</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RTShader_1_1Function.html">Function</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-static-methods">Static Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::RTShader::Function Class Reference<div class="ingroups"><a class="el" href="group__RTShader.html">RTShader</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::RTShader::Function" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>A class that represents a shader based program function.  
 <a href="classOgre_1_1RTShader_1_1Function.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreShaderFunction_8h_source.html">OgreShaderFunction.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::RTShader::Function:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1RTShader_1_1Function__inherit__graph.gif" border="0" usemap="#Ogre_1_1RTShader_1_1Function_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1RTShader_1_1Function_inherit__map" id="Ogre_1_1RTShader_1_1Function_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="15,5,169,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1RTShader_1_1Function-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#a147da0e3a9d408f20e8afcced1a15ccf">FunctionType</a> { <a class="el" href="classOgre_1_1RTShader_1_1Function.html#a147da0e3a9d408f20e8afcced1a15ccfa578ad928d998b23dc0428c05d18baa28">FFT_INTERNAL</a>, 
<a class="el" href="classOgre_1_1RTShader_1_1Function.html#a147da0e3a9d408f20e8afcced1a15ccfa50c1ce1c691031b28bb844e91f698093">FFT_VS_MAIN</a>, 
<a class="el" href="classOgre_1_1RTShader_1_1Function.html#a147da0e3a9d408f20e8afcced1a15ccfa457e220621583f01a9dd833ea9788156">FFT_PS_MAIN</a>
 }</td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#a9d9520c29d7ed740140ea79d70d42b84">getName</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of this function.  <a href="#a9d9520c29d7ed740140ea79d70d42b84"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#a261d4d394712fccae894e199b4086381">getDescription</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the description of this function.  <a href="#a261d4d394712fccae894e199b4086381"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#ad7edaafbe5157420d481902c54292cf2">resolveInputParameter</a> (<a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a91fc3614f191bebf0461676a03750312">Parameter::Semantic</a> semantic, int index, const <a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a4fa6286f097d19e92a8ed91645fbfbe7">Parameter::Content</a> content, <a class="el" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">GpuConstantType</a> type)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Resolve input parameter of this function.  <a href="#ad7edaafbe5157420d481902c54292cf2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#ad112e1d948a65c3104b9cfde9eb0b939">resolveOutputParameter</a> (<a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a91fc3614f191bebf0461676a03750312">Parameter::Semantic</a> semantic, int index, const <a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a4fa6286f097d19e92a8ed91645fbfbe7">Parameter::Content</a> content, <a class="el" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">GpuConstantType</a> type)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Resolve output parameter of this function.  <a href="#ad112e1d948a65c3104b9cfde9eb0b939"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#a4b615292a26107d40158d4932792fed3">resolveLocalParameter</a> (<a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a91fc3614f191bebf0461676a03750312">Parameter::Semantic</a> semantic, int index, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <a class="el" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">GpuConstantType</a> type)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Resolve local parameter of this function.  <a href="#a4b615292a26107d40158d4932792fed3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#a580072672055dc0d42ff64c2da642276">resolveLocalParameter</a> (<a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a91fc3614f191bebf0461676a03750312">Parameter::Semantic</a> semantic, int index, const <a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a4fa6286f097d19e92a8ed91645fbfbe7">Parameter::Content</a> content, <a class="el" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">GpuConstantType</a> type)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Resolve local parameter of this function.  <a href="#a580072672055dc0d42ff64c2da642276"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#a6845f74d29189ff8816da191e6d0b2d0">getParameterByContent</a> (const <a class="el" href="group__RTShader.html#ga722d7eb730c66ec0262df86ebf9888b1">ShaderParameterList</a> &amp;parameterList, const <a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a4fa6286f097d19e92a8ed91645fbfbe7">Parameter::Content</a> content, <a class="el" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">GpuConstantType</a> type)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get parameter by a given content and type from the given parameter list.  <a href="#a6845f74d29189ff8816da191e6d0b2d0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="group__RTShader.html#ga722d7eb730c66ec0262df86ebf9888b1">ShaderParameterList</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#ae9cebaf2ffd969abb6e8354af75ba862">getInputParameters</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return a list of input parameters.  <a href="#ae9cebaf2ffd969abb6e8354af75ba862"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="group__RTShader.html#ga722d7eb730c66ec0262df86ebf9888b1">ShaderParameterList</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#aebc5c6bde8b66540224250540db98199">getOutputParameters</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return a list of output parameters.  <a href="#aebc5c6bde8b66540224250540db98199"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="group__RTShader.html#ga722d7eb730c66ec0262df86ebf9888b1">ShaderParameterList</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#a941e50e816084cded14db9ce881eae7a">getLocalParameters</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return a list of local parameters.  <a href="#a941e50e816084cded14db9ce881eae7a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#af11bf51a167028e8d69982e3972d9a65">addAtomInstance</a> (<a class="el" href="classOgre_1_1RTShader_1_1FunctionAtom.html">FunctionAtom</a> *atomInstance)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a function atom instance to this function.  <a href="#af11bf51a167028e8d69982e3972d9a65"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#ad0a608d7e18cc52b284798816ba9edc7">deleteAtomInstance</a> (<a class="el" href="classOgre_1_1RTShader_1_1FunctionAtom.html">FunctionAtom</a> *atomInstance)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Delete a function atom instance from this function.  <a href="#ad0a608d7e18cc52b284798816ba9edc7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#a4b85bbf4b36ae970be2d357dffa224c7">sortAtomInstances</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sort all atom instances of this function.  <a href="#a4b85bbf4b36ae970be2d357dffa224c7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__RTShader.html#ga3dd6945ed92e7a6afc9274f40081a981">FunctionAtomInstanceList</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#a51a4f442e246120f3fc3beb20fe630a7">getAtomInstances</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return list of atom instances composing this function.  <a href="#a51a4f442e246120f3fc3beb20fe630a7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="group__RTShader.html#ga3dd6945ed92e7a6afc9274f40081a981">FunctionAtomInstanceList</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#ad3dfce24d0dd65234e7c6beef437efb0">getAtomInstances</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return list of atom instances composing this function.  <a href="#ad3dfce24d0dd65234e7c6beef437efb0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#a0a30617e11298455badbd3f246505310">addInputParameter</a> (<a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> parameter)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add input parameter to this function.  <a href="#a0a30617e11298455badbd3f246505310"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#af27ed65e06b2c713b4a41296bdd1e0b1">addOutputParameter</a> (<a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> parameter)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add output parameter to this function.  <a href="#af27ed65e06b2c713b4a41296bdd1e0b1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#a8944db02b8db83b5fcf261c4648c1871">deleteInputParameter</a> (<a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> parameter)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Delete input parameter from this function.  <a href="#a8944db02b8db83b5fcf261c4648c1871"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#ab248d5d1bcd4412e7d38f55f6a0eab27">deleteOutputParameter</a> (<a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> parameter)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Delete output parameter from this function.  <a href="#ab248d5d1bcd4412e7d38f55f6a0eab27"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#aa56555a10acf2f078a21c8f29eeb63ba">deleteAllInputParameters</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Delete all input parameters from this function.  <a href="#aa56555a10acf2f078a21c8f29eeb63ba"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#a9c5ccb838771da1140fc3260a52ee24c">deleteAllOutputParameters</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Delete all output parameters from this function.  <a href="#a9c5ccb838771da1140fc3260a52ee24c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#a147da0e3a9d408f20e8afcced1a15ccf">FunctionType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#aa9f21271da3ac3e55707110ce73f8907">getFunctionType</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">get function type.  <a href="#aa9f21271da3ac3e55707110ce73f8907"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#aec21080ad89536bd06422a30086b04f0">getParameterByName</a> (const <a class="el" href="group__RTShader.html#ga722d7eb730c66ec0262df86ebf9888b1">ShaderParameterList</a> &amp;parameterList, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get parameter by a given name from the given parameter list.  <a href="#aec21080ad89536bd06422a30086b04f0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#a60c998404d977e84b9a04307a901c284">getParameterBySemantic</a> (const <a class="el" href="group__RTShader.html#ga722d7eb730c66ec0262df86ebf9888b1">ShaderParameterList</a> &amp;parameterList, const <a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a91fc3614f191bebf0461676a03750312">Parameter::Semantic</a> semantic, int index)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get parameter by a given semantic and index from the given parameter list.  <a href="#a60c998404d977e84b9a04307a901c284"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#a1ced5867365e66a419f9a9484cbd4686">Function</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;desc, const <a class="el" href="classOgre_1_1RTShader_1_1Function.html#a147da0e3a9d408f20e8afcced1a15ccf">FunctionType</a> functionType)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class constructor.  <a href="#a1ced5867365e66a419f9a9484cbd4686"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#abc8cecce36b7b504db2117cc2a3507a2">~Function</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class destructor.  <a href="#abc8cecce36b7b504db2117cc2a3507a2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#a050dd5dd7be39bccc2fa33fb5a4c9c9a">addParameter</a> (<a class="el" href="group__RTShader.html#ga722d7eb730c66ec0262df86ebf9888b1">ShaderParameterList</a> &amp;parameterList, <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> parameter)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add parameter to given list.  <a href="#a050dd5dd7be39bccc2fa33fb5a4c9c9a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#aca51b188024e2dc79082db3bedb11764">deleteParameter</a> (<a class="el" href="group__RTShader.html#ga722d7eb730c66ec0262df86ebf9888b1">ShaderParameterList</a> &amp;parameterList, <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> parameter)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Delete parameter from a given list.  <a href="#aca51b188024e2dc79082db3bedb11764"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-static-methods"></a>
Static Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#a28a5f16e6ae4d367c493847a33155774">sAtomInstanceCompare</a> (const void *p0, const void *p1)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1RTShader_1_1Function.html" title="A class that represents a shader based program function.">Function</a> atom comparison function used to sort atoms.  <a href="#a28a5f16e6ae4d367c493847a33155774"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#a094815f70cb5d1dc976cc0e72a94ce5d">mName</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#adb5b7a84d6d0bc7d0c625c79d15620fc">mDescription</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__RTShader.html#ga722d7eb730c66ec0262df86ebf9888b1">ShaderParameterList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#a288e02090c0387df9f36652dcb2c1ad7">mInputParameters</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__RTShader.html#ga722d7eb730c66ec0262df86ebf9888b1">ShaderParameterList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#a0e5307d56647b477bf3eb4db4ce9836c">mOutputParameters</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__RTShader.html#ga722d7eb730c66ec0262df86ebf9888b1">ShaderParameterList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#ab2b414b40e2432c58f0d3c35fb21d9cd">mLocalParameters</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__RTShader.html#ga3dd6945ed92e7a6afc9274f40081a981">FunctionAtomInstanceList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#ae30221805ee4e3ce4b76c2f1097fb909">mAtomInstances</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#a147da0e3a9d408f20e8afcced1a15ccf">FunctionType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#a6eee88dac25aefd4bda8801c7cb39623">mFunctionType</a></td></tr>
<tr><td colspan="2"><h2><a name="friends"></a>
Friends</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#a0432bf4ab621f4098afac914ccb5371e">Program</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A class that represents a shader based program function. </p>

<p>Definition at line <a class="el" href="OgreShaderFunction_8h_source.html#l00046">46</a> of file <a class="el" href="OgreShaderFunction_8h_source.html">OgreShaderFunction.h</a>.</p>
</div><hr/><h2>Member Enumeration Documentation</h2>
<a class="anchor" id="a147da0e3a9d408f20e8afcced1a15ccf"></a><!-- doxytag: member="Ogre::RTShader::Function::FunctionType" ref="a147da0e3a9d408f20e8afcced1a15ccf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1RTShader_1_1Function.html#a147da0e3a9d408f20e8afcced1a15ccf">Ogre::RTShader::Function::FunctionType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="a147da0e3a9d408f20e8afcced1a15ccfa578ad928d998b23dc0428c05d18baa28"></a><!-- doxytag: member="FFT_INTERNAL" ref="a147da0e3a9d408f20e8afcced1a15ccfa578ad928d998b23dc0428c05d18baa28" args="" -->FFT_INTERNAL</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a147da0e3a9d408f20e8afcced1a15ccfa50c1ce1c691031b28bb844e91f698093"></a><!-- doxytag: member="FFT_VS_MAIN" ref="a147da0e3a9d408f20e8afcced1a15ccfa50c1ce1c691031b28bb844e91f698093" args="" -->FFT_VS_MAIN</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a147da0e3a9d408f20e8afcced1a15ccfa457e220621583f01a9dd833ea9788156"></a><!-- doxytag: member="FFT_PS_MAIN" ref="a147da0e3a9d408f20e8afcced1a15ccfa457e220621583f01a9dd833ea9788156" args="" -->FFT_PS_MAIN</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreShaderFunction_8h_source.html#l00050">50</a> of file <a class="el" href="OgreShaderFunction_8h_source.html">OgreShaderFunction.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a1ced5867365e66a419f9a9484cbd4686"></a><!-- doxytag: member="Ogre::RTShader::Function::Function" ref="a1ced5867365e66a419f9a9484cbd4686" args="(const String &amp;name, const String &amp;desc, const FunctionType functionType)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#a1ced5867365e66a419f9a9484cbd4686">Ogre::RTShader::Function::Function</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>desc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1RTShader_1_1Function.html#a147da0e3a9d408f20e8afcced1a15ccf">FunctionType</a>&#160;</td>
          <td class="paramname"><em>functionType</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Class constructor. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The name of this function. </td></tr>
    <tr><td class="paramname">desc</td><td>The description of this function. </td></tr>
  </table>
  </dd>
</dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This class is allocated via an instance of <a class="el" href="classOgre_1_1RTShader_1_1Program.html" title="A class that represents a shader based program.">Program</a> class. </dd></dl>

</div>
</div>
<a class="anchor" id="abc8cecce36b7b504db2117cc2a3507a2"></a><!-- doxytag: member="Ogre::RTShader::Function::~Function" ref="abc8cecce36b7b504db2117cc2a3507a2" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#abc8cecce36b7b504db2117cc2a3507a2">Ogre::RTShader::Function::~Function</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Class destructor. </p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="af11bf51a167028e8d69982e3972d9a65"></a><!-- doxytag: member="Ogre::RTShader::Function::addAtomInstance" ref="af11bf51a167028e8d69982e3972d9a65" args="(FunctionAtom *atomInstance)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RTShader_1_1Function.html#af11bf51a167028e8d69982e3972d9a65">Ogre::RTShader::Function::addAtomInstance</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RTShader_1_1FunctionAtom.html">FunctionAtom</a> *&#160;</td>
          <td class="paramname"><em>atomInstance</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add a function atom instance to this function. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">atomInstance</td><td>The atom instance to add. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a0a30617e11298455badbd3f246505310"></a><!-- doxytag: member="Ogre::RTShader::Function::addInputParameter" ref="a0a30617e11298455badbd3f246505310" args="(ParameterPtr parameter)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RTShader_1_1Function.html#a0a30617e11298455badbd3f246505310">Ogre::RTShader::Function::addInputParameter</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td>
          <td class="paramname"><em>parameter</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add input parameter to this function. </p>

</div>
</div>
<a class="anchor" id="af27ed65e06b2c713b4a41296bdd1e0b1"></a><!-- doxytag: member="Ogre::RTShader::Function::addOutputParameter" ref="af27ed65e06b2c713b4a41296bdd1e0b1" args="(ParameterPtr parameter)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RTShader_1_1Function.html#af27ed65e06b2c713b4a41296bdd1e0b1">Ogre::RTShader::Function::addOutputParameter</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td>
          <td class="paramname"><em>parameter</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add output parameter to this function. </p>

</div>
</div>
<a class="anchor" id="a050dd5dd7be39bccc2fa33fb5a4c9c9a"></a><!-- doxytag: member="Ogre::RTShader::Function::addParameter" ref="a050dd5dd7be39bccc2fa33fb5a4c9c9a" args="(ShaderParameterList &amp;parameterList, ParameterPtr parameter)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RTShader_1_1Function.html#a050dd5dd7be39bccc2fa33fb5a4c9c9a">Ogre::RTShader::Function::addParameter</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__RTShader.html#ga722d7eb730c66ec0262df86ebf9888b1">ShaderParameterList</a> &amp;&#160;</td>
          <td class="paramname"><em>parameterList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td>
          <td class="paramname"><em>parameter</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add parameter to given list. </p>

</div>
</div>
<a class="anchor" id="aa56555a10acf2f078a21c8f29eeb63ba"></a><!-- doxytag: member="Ogre::RTShader::Function::deleteAllInputParameters" ref="aa56555a10acf2f078a21c8f29eeb63ba" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RTShader_1_1Function.html#aa56555a10acf2f078a21c8f29eeb63ba">Ogre::RTShader::Function::deleteAllInputParameters</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Delete all input parameters from this function. </p>

</div>
</div>
<a class="anchor" id="a9c5ccb838771da1140fc3260a52ee24c"></a><!-- doxytag: member="Ogre::RTShader::Function::deleteAllOutputParameters" ref="a9c5ccb838771da1140fc3260a52ee24c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RTShader_1_1Function.html#a9c5ccb838771da1140fc3260a52ee24c">Ogre::RTShader::Function::deleteAllOutputParameters</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Delete all output parameters from this function. </p>

</div>
</div>
<a class="anchor" id="ad0a608d7e18cc52b284798816ba9edc7"></a><!-- doxytag: member="Ogre::RTShader::Function::deleteAtomInstance" ref="ad0a608d7e18cc52b284798816ba9edc7" args="(FunctionAtom *atomInstance)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RTShader_1_1Function.html#ad0a608d7e18cc52b284798816ba9edc7">Ogre::RTShader::Function::deleteAtomInstance</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RTShader_1_1FunctionAtom.html">FunctionAtom</a> *&#160;</td>
          <td class="paramname"><em>atomInstance</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Delete a function atom instance from this function. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">atomInstance</td><td>The atom instance to OGRE_DELETE. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8944db02b8db83b5fcf261c4648c1871"></a><!-- doxytag: member="Ogre::RTShader::Function::deleteInputParameter" ref="a8944db02b8db83b5fcf261c4648c1871" args="(ParameterPtr parameter)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RTShader_1_1Function.html#a8944db02b8db83b5fcf261c4648c1871">Ogre::RTShader::Function::deleteInputParameter</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td>
          <td class="paramname"><em>parameter</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Delete input parameter from this function. </p>

</div>
</div>
<a class="anchor" id="ab248d5d1bcd4412e7d38f55f6a0eab27"></a><!-- doxytag: member="Ogre::RTShader::Function::deleteOutputParameter" ref="ab248d5d1bcd4412e7d38f55f6a0eab27" args="(ParameterPtr parameter)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RTShader_1_1Function.html#ab248d5d1bcd4412e7d38f55f6a0eab27">Ogre::RTShader::Function::deleteOutputParameter</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td>
          <td class="paramname"><em>parameter</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Delete output parameter from this function. </p>

</div>
</div>
<a class="anchor" id="aca51b188024e2dc79082db3bedb11764"></a><!-- doxytag: member="Ogre::RTShader::Function::deleteParameter" ref="aca51b188024e2dc79082db3bedb11764" args="(ShaderParameterList &amp;parameterList, ParameterPtr parameter)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RTShader_1_1Function.html#aca51b188024e2dc79082db3bedb11764">Ogre::RTShader::Function::deleteParameter</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__RTShader.html#ga722d7eb730c66ec0262df86ebf9888b1">ShaderParameterList</a> &amp;&#160;</td>
          <td class="paramname"><em>parameterList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td>
          <td class="paramname"><em>parameter</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Delete parameter from a given list. </p>

</div>
</div>
<a class="anchor" id="a51a4f442e246120f3fc3beb20fe630a7"></a><!-- doxytag: member="Ogre::RTShader::Function::getAtomInstances" ref="a51a4f442e246120f3fc3beb20fe630a7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__RTShader.html#ga3dd6945ed92e7a6afc9274f40081a981">FunctionAtomInstanceList</a>&amp; <a class="el" href="classOgre_1_1RTShader_1_1Function.html#a51a4f442e246120f3fc3beb20fe630a7">Ogre::RTShader::Function::getAtomInstances</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return list of atom instances composing this function. </p>

<p>Definition at line <a class="el" href="OgreShaderFunction_8h_source.html#l00156">156</a> of file <a class="el" href="OgreShaderFunction_8h_source.html">OgreShaderFunction.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad3dfce24d0dd65234e7c6beef437efb0"></a><!-- doxytag: member="Ogre::RTShader::Function::getAtomInstances" ref="ad3dfce24d0dd65234e7c6beef437efb0" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="group__RTShader.html#ga3dd6945ed92e7a6afc9274f40081a981">FunctionAtomInstanceList</a>&amp; <a class="el" href="classOgre_1_1RTShader_1_1Function.html#a51a4f442e246120f3fc3beb20fe630a7">Ogre::RTShader::Function::getAtomInstances</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return list of atom instances composing this function. </p>
<p>(Const version) </p>

<p>Definition at line <a class="el" href="OgreShaderFunction_8h_source.html#l00159">159</a> of file <a class="el" href="OgreShaderFunction_8h_source.html">OgreShaderFunction.h</a>.</p>

</div>
</div>
<a class="anchor" id="a261d4d394712fccae894e199b4086381"></a><!-- doxytag: member="Ogre::RTShader::Function::getDescription" ref="a261d4d394712fccae894e199b4086381" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1RTShader_1_1Function.html#a261d4d394712fccae894e199b4086381">Ogre::RTShader::Function::getDescription</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the description of this function. </p>

<p>Definition at line <a class="el" href="OgreShaderFunction_8h_source.html#l00064">64</a> of file <a class="el" href="OgreShaderFunction_8h_source.html">OgreShaderFunction.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa9f21271da3ac3e55707110ce73f8907"></a><!-- doxytag: member="Ogre::RTShader::Function::getFunctionType" ref="aa9f21271da3ac3e55707110ce73f8907" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#a147da0e3a9d408f20e8afcced1a15ccf">FunctionType</a> <a class="el" href="classOgre_1_1RTShader_1_1Function.html#aa9f21271da3ac3e55707110ce73f8907">Ogre::RTShader::Function::getFunctionType</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>get function type. </p>

</div>
</div>
<a class="anchor" id="ae9cebaf2ffd969abb6e8354af75ba862"></a><!-- doxytag: member="Ogre::RTShader::Function::getInputParameters" ref="ae9cebaf2ffd969abb6e8354af75ba862" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="group__RTShader.html#ga722d7eb730c66ec0262df86ebf9888b1">ShaderParameterList</a>&amp; <a class="el" href="classOgre_1_1RTShader_1_1Function.html#ae9cebaf2ffd969abb6e8354af75ba862">Ogre::RTShader::Function::getInputParameters</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return a list of input parameters. </p>

<p>Definition at line <a class="el" href="OgreShaderFunction_8h_source.html#l00134">134</a> of file <a class="el" href="OgreShaderFunction_8h_source.html">OgreShaderFunction.h</a>.</p>

</div>
</div>
<a class="anchor" id="a941e50e816084cded14db9ce881eae7a"></a><!-- doxytag: member="Ogre::RTShader::Function::getLocalParameters" ref="a941e50e816084cded14db9ce881eae7a" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="group__RTShader.html#ga722d7eb730c66ec0262df86ebf9888b1">ShaderParameterList</a>&amp; <a class="el" href="classOgre_1_1RTShader_1_1Function.html#a941e50e816084cded14db9ce881eae7a">Ogre::RTShader::Function::getLocalParameters</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return a list of local parameters. </p>

<p>Definition at line <a class="el" href="OgreShaderFunction_8h_source.html#l00140">140</a> of file <a class="el" href="OgreShaderFunction_8h_source.html">OgreShaderFunction.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9d9520c29d7ed740140ea79d70d42b84"></a><!-- doxytag: member="Ogre::RTShader::Function::getName" ref="a9d9520c29d7ed740140ea79d70d42b84" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1RTShader_1_1Function.html#a9d9520c29d7ed740140ea79d70d42b84">Ogre::RTShader::Function::getName</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the name of this function. </p>

<p>Definition at line <a class="el" href="OgreShaderFunction_8h_source.html#l00061">61</a> of file <a class="el" href="OgreShaderFunction_8h_source.html">OgreShaderFunction.h</a>.</p>

</div>
</div>
<a class="anchor" id="aebc5c6bde8b66540224250540db98199"></a><!-- doxytag: member="Ogre::RTShader::Function::getOutputParameters" ref="aebc5c6bde8b66540224250540db98199" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="group__RTShader.html#ga722d7eb730c66ec0262df86ebf9888b1">ShaderParameterList</a>&amp; <a class="el" href="classOgre_1_1RTShader_1_1Function.html#aebc5c6bde8b66540224250540db98199">Ogre::RTShader::Function::getOutputParameters</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return a list of output parameters. </p>

<p>Definition at line <a class="el" href="OgreShaderFunction_8h_source.html#l00137">137</a> of file <a class="el" href="OgreShaderFunction_8h_source.html">OgreShaderFunction.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6845f74d29189ff8816da191e6d0b2d0"></a><!-- doxytag: member="Ogre::RTShader::Function::getParameterByContent" ref="a6845f74d29189ff8816da191e6d0b2d0" args="(const ShaderParameterList &amp;parameterList, const Parameter::Content content, GpuConstantType type)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1Function.html#a6845f74d29189ff8816da191e6d0b2d0">Ogre::RTShader::Function::getParameterByContent</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__RTShader.html#ga722d7eb730c66ec0262df86ebf9888b1">ShaderParameterList</a> &amp;&#160;</td>
          <td class="paramname"><em>parameterList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a4fa6286f097d19e92a8ed91645fbfbe7">Parameter::Content</a>&#160;</td>
          <td class="paramname"><em>content</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">GpuConstantType</a>&#160;</td>
          <td class="paramname"><em>type</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get parameter by a given content and type from the given parameter list. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">parameterList</td><td>The parameters list to look in. </td></tr>
    <tr><td class="paramname">content</td><td>The content of the parameter to search in the list. </td></tr>
    <tr><td class="paramname">type</td><td>The type of the parameter to search in the list. </td></tr>
  </table>
  </dd>
</dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Return NULL if no matching parameter found. </dd></dl>

</div>
</div>
<a class="anchor" id="aec21080ad89536bd06422a30086b04f0"></a><!-- doxytag: member="Ogre::RTShader::Function::getParameterByName" ref="aec21080ad89536bd06422a30086b04f0" args="(const ShaderParameterList &amp;parameterList, const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1Function.html#aec21080ad89536bd06422a30086b04f0">Ogre::RTShader::Function::getParameterByName</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__RTShader.html#ga722d7eb730c66ec0262df86ebf9888b1">ShaderParameterList</a> &amp;&#160;</td>
          <td class="paramname"><em>parameterList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get parameter by a given name from the given parameter list. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">parameterList</td><td>The parameters list to look in. </td></tr>
    <tr><td class="paramname">name</td><td>The name of the parameter to search in the list. </td></tr>
  </table>
  </dd>
</dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Return NULL if no matching parameter found. </dd></dl>

</div>
</div>
<a class="anchor" id="a60c998404d977e84b9a04307a901c284"></a><!-- doxytag: member="Ogre::RTShader::Function::getParameterBySemantic" ref="a60c998404d977e84b9a04307a901c284" args="(const ShaderParameterList &amp;parameterList, const Parameter::Semantic semantic, int index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1Function.html#a60c998404d977e84b9a04307a901c284">Ogre::RTShader::Function::getParameterBySemantic</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__RTShader.html#ga722d7eb730c66ec0262df86ebf9888b1">ShaderParameterList</a> &amp;&#160;</td>
          <td class="paramname"><em>parameterList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a91fc3614f191bebf0461676a03750312">Parameter::Semantic</a>&#160;</td>
          <td class="paramname"><em>semantic</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get parameter by a given semantic and index from the given parameter list. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">parameterList</td><td>The parameters list to look in. </td></tr>
    <tr><td class="paramname">semantic</td><td>The semantic of the parameter to search in the list. </td></tr>
    <tr><td class="paramname">index</td><td>The index of the parameter to search in the list. </td></tr>
  </table>
  </dd>
</dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Return NULL if no matching parameter found. </dd></dl>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::RTShader::Function::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::RTShader::Function::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::RTShader::Function::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::RTShader::Function::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::RTShader::Function::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::RTShader::Function::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::RTShader::Function::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::RTShader::Function::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::RTShader::Function::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::RTShader::Function::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad7edaafbe5157420d481902c54292cf2"></a><!-- doxytag: member="Ogre::RTShader::Function::resolveInputParameter" ref="ad7edaafbe5157420d481902c54292cf2" args="(Parameter::Semantic semantic, int index, const Parameter::Content content, GpuConstantType type)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1Function.html#ad7edaafbe5157420d481902c54292cf2">Ogre::RTShader::Function::resolveInputParameter</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a91fc3614f191bebf0461676a03750312">Parameter::Semantic</a>&#160;</td>
          <td class="paramname"><em>semantic</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a4fa6286f097d19e92a8ed91645fbfbe7">Parameter::Content</a>&#160;</td>
          <td class="paramname"><em>content</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">GpuConstantType</a>&#160;</td>
          <td class="paramname"><em>type</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Resolve input parameter of this function. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">semantic</td><td>The desired parameter semantic. </td></tr>
    <tr><td class="paramname">index</td><td>The index of the desired parameter. </td></tr>
    <tr><td class="paramname">content</td><td>The content of the parameter. </td></tr>
    <tr><td class="paramname">type</td><td>The type of the desired parameter. Return parameter instance in case of that resolve operation succeeded. </td></tr>
  </table>
  </dd>
</dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd><a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a> -1 as index parameter to create a new parameter with the desired semantic and type. </dd></dl>

</div>
</div>
<a class="anchor" id="a4b615292a26107d40158d4932792fed3"></a><!-- doxytag: member="Ogre::RTShader::Function::resolveLocalParameter" ref="a4b615292a26107d40158d4932792fed3" args="(Parameter::Semantic semantic, int index, const String &amp;name, GpuConstantType type)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1Function.html#a4b615292a26107d40158d4932792fed3">Ogre::RTShader::Function::resolveLocalParameter</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a91fc3614f191bebf0461676a03750312">Parameter::Semantic</a>&#160;</td>
          <td class="paramname"><em>semantic</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">GpuConstantType</a>&#160;</td>
          <td class="paramname"><em>type</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Resolve local parameter of this function. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">semantic</td><td>The desired parameter semantic. </td></tr>
    <tr><td class="paramname">index</td><td>The index of the desired parameter. </td></tr>
    <tr><td class="paramname">name</td><td>The name of the parameter. </td></tr>
    <tr><td class="paramname">type</td><td>The type of the desired parameter. Return parameter instance in case of that resolve operation succeeded. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a580072672055dc0d42ff64c2da642276"></a><!-- doxytag: member="Ogre::RTShader::Function::resolveLocalParameter" ref="a580072672055dc0d42ff64c2da642276" args="(Parameter::Semantic semantic, int index, const Parameter::Content content, GpuConstantType type)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1Function.html#a4b615292a26107d40158d4932792fed3">Ogre::RTShader::Function::resolveLocalParameter</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a91fc3614f191bebf0461676a03750312">Parameter::Semantic</a>&#160;</td>
          <td class="paramname"><em>semantic</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a4fa6286f097d19e92a8ed91645fbfbe7">Parameter::Content</a>&#160;</td>
          <td class="paramname"><em>content</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">GpuConstantType</a>&#160;</td>
          <td class="paramname"><em>type</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Resolve local parameter of this function. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">semantic</td><td>The desired parameter semantic. </td></tr>
    <tr><td class="paramname">index</td><td>The index of the desired parameter. </td></tr>
    <tr><td class="paramname">content</td><td>The content of the parameter. </td></tr>
    <tr><td class="paramname">type</td><td>The type of the desired parameter. Return parameter instance in case of that resolve operation succeeded. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad112e1d948a65c3104b9cfde9eb0b939"></a><!-- doxytag: member="Ogre::RTShader::Function::resolveOutputParameter" ref="ad112e1d948a65c3104b9cfde9eb0b939" args="(Parameter::Semantic semantic, int index, const Parameter::Content content, GpuConstantType type)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1Function.html#ad112e1d948a65c3104b9cfde9eb0b939">Ogre::RTShader::Function::resolveOutputParameter</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a91fc3614f191bebf0461676a03750312">Parameter::Semantic</a>&#160;</td>
          <td class="paramname"><em>semantic</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a4fa6286f097d19e92a8ed91645fbfbe7">Parameter::Content</a>&#160;</td>
          <td class="paramname"><em>content</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">GpuConstantType</a>&#160;</td>
          <td class="paramname"><em>type</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Resolve output parameter of this function. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">semantic</td><td>The desired parameter semantic. </td></tr>
    <tr><td class="paramname">index</td><td>The index of the desired parameter. </td></tr>
    <tr><td class="paramname">content</td><td>The content of the parameter. </td></tr>
    <tr><td class="paramname">type</td><td>The type of the desired parameter. Return parameter instance in case of that resolve operation succeeded. </td></tr>
  </table>
  </dd>
</dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd><a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a> -1 as index parameter to create a new parameter with the desired semantic and type. </dd></dl>

</div>
</div>
<a class="anchor" id="a28a5f16e6ae4d367c493847a33155774"></a><!-- doxytag: member="Ogre::RTShader::Function::sAtomInstanceCompare" ref="a28a5f16e6ae4d367c493847a33155774" args="(const void *p0, const void *p1)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static int <a class="el" href="classOgre_1_1RTShader_1_1Function.html#a28a5f16e6ae4d367c493847a33155774">Ogre::RTShader::Function::sAtomInstanceCompare</a> </td>
          <td>(</td>
          <td class="paramtype">const void *&#160;</td>
          <td class="paramname"><em>p0</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const void *&#160;</td>
          <td class="paramname"><em>p1</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1RTShader_1_1Function.html" title="A class that represents a shader based program function.">Function</a> atom comparison function used to sort atoms. </p>

</div>
</div>
<a class="anchor" id="a4b85bbf4b36ae970be2d357dffa224c7"></a><!-- doxytag: member="Ogre::RTShader::Function::sortAtomInstances" ref="a4b85bbf4b36ae970be2d357dffa224c7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RTShader_1_1Function.html#a4b85bbf4b36ae970be2d357dffa224c7">Ogre::RTShader::Function::sortAtomInstances</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sort all atom instances of this function. </p>

</div>
</div>
<hr/><h2>Friends And Related Function Documentation</h2>
<a class="anchor" id="a0432bf4ab621f4098afac914ccb5371e"></a><!-- doxytag: member="Ogre::RTShader::Function::Program" ref="a0432bf4ab621f4098afac914ccb5371e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="classOgre_1_1RTShader_1_1Program.html">Program</a><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShaderFunction_8h_source.html#l00214">214</a> of file <a class="el" href="OgreShaderFunction_8h_source.html">OgreShaderFunction.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ae30221805ee4e3ce4b76c2f1097fb909"></a><!-- doxytag: member="Ogre::RTShader::Function::mAtomInstances" ref="ae30221805ee4e3ce4b76c2f1097fb909" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__RTShader.html#ga3dd6945ed92e7a6afc9274f40081a981">FunctionAtomInstanceList</a> <a class="el" href="classOgre_1_1RTShader_1_1Function.html#ae30221805ee4e3ce4b76c2f1097fb909">Ogre::RTShader::Function::mAtomInstances</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShaderFunction_8h_source.html#l00210">210</a> of file <a class="el" href="OgreShaderFunction_8h_source.html">OgreShaderFunction.h</a>.</p>

</div>
</div>
<a class="anchor" id="adb5b7a84d6d0bc7d0c625c79d15620fc"></a><!-- doxytag: member="Ogre::RTShader::Function::mDescription" ref="adb5b7a84d6d0bc7d0c625c79d15620fc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1RTShader_1_1Function.html#adb5b7a84d6d0bc7d0c625c79d15620fc">Ogre::RTShader::Function::mDescription</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShaderFunction_8h_source.html#l00206">206</a> of file <a class="el" href="OgreShaderFunction_8h_source.html">OgreShaderFunction.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6eee88dac25aefd4bda8801c7cb39623"></a><!-- doxytag: member="Ogre::RTShader::Function::mFunctionType" ref="a6eee88dac25aefd4bda8801c7cb39623" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RTShader_1_1Function.html#a147da0e3a9d408f20e8afcced1a15ccf">FunctionType</a> <a class="el" href="classOgre_1_1RTShader_1_1Function.html#a6eee88dac25aefd4bda8801c7cb39623">Ogre::RTShader::Function::mFunctionType</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShaderFunction_8h_source.html#l00211">211</a> of file <a class="el" href="OgreShaderFunction_8h_source.html">OgreShaderFunction.h</a>.</p>

</div>
</div>
<a class="anchor" id="a288e02090c0387df9f36652dcb2c1ad7"></a><!-- doxytag: member="Ogre::RTShader::Function::mInputParameters" ref="a288e02090c0387df9f36652dcb2c1ad7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__RTShader.html#ga722d7eb730c66ec0262df86ebf9888b1">ShaderParameterList</a> <a class="el" href="classOgre_1_1RTShader_1_1Function.html#a288e02090c0387df9f36652dcb2c1ad7">Ogre::RTShader::Function::mInputParameters</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShaderFunction_8h_source.html#l00207">207</a> of file <a class="el" href="OgreShaderFunction_8h_source.html">OgreShaderFunction.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab2b414b40e2432c58f0d3c35fb21d9cd"></a><!-- doxytag: member="Ogre::RTShader::Function::mLocalParameters" ref="ab2b414b40e2432c58f0d3c35fb21d9cd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__RTShader.html#ga722d7eb730c66ec0262df86ebf9888b1">ShaderParameterList</a> <a class="el" href="classOgre_1_1RTShader_1_1Function.html#ab2b414b40e2432c58f0d3c35fb21d9cd">Ogre::RTShader::Function::mLocalParameters</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShaderFunction_8h_source.html#l00209">209</a> of file <a class="el" href="OgreShaderFunction_8h_source.html">OgreShaderFunction.h</a>.</p>

</div>
</div>
<a class="anchor" id="a094815f70cb5d1dc976cc0e72a94ce5d"></a><!-- doxytag: member="Ogre::RTShader::Function::mName" ref="a094815f70cb5d1dc976cc0e72a94ce5d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1RTShader_1_1Function.html#a094815f70cb5d1dc976cc0e72a94ce5d">Ogre::RTShader::Function::mName</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShaderFunction_8h_source.html#l00205">205</a> of file <a class="el" href="OgreShaderFunction_8h_source.html">OgreShaderFunction.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0e5307d56647b477bf3eb4db4ce9836c"></a><!-- doxytag: member="Ogre::RTShader::Function::mOutputParameters" ref="a0e5307d56647b477bf3eb4db4ce9836c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__RTShader.html#ga722d7eb730c66ec0262df86ebf9888b1">ShaderParameterList</a> <a class="el" href="classOgre_1_1RTShader_1_1Function.html#a0e5307d56647b477bf3eb4db4ce9836c">Ogre::RTShader::Function::mOutputParameters</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShaderFunction_8h_source.html#l00208">208</a> of file <a class="el" href="OgreShaderFunction_8h_source.html">OgreShaderFunction.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreShaderFunction_8h_source.html">OgreShaderFunction.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:31
</p>
</body>
</html>
